package com.someluigi.tuc.server.block.resources;

import com.someluigi.tuc.server.block.BlockRecord;
import com.someluigi.tuc.server.player.Player;
import com.someluigi.tuc.server.registry.BlitemStack;
import com.someluigi.tuc.server.registry.BlockResponder;
import com.someluigi.tuc.server.world.Chunk;

public class BlockWoodLog extends BlockResponder {
	
	public static final int blitemID = 1;
	
	public String returnBlockTexture(BlockRecord b, Chunk c, Player p) {
		return "/res/genericBlock.png";
	}
	
	public String returnStackTexture(BlitemStack b, Chunk c, Player p) {
		return "/res/genericBlock.png";
	}
	
	public String returnBlockName(BlockRecord b, Chunk c, Player p) {
		return "Wooden Log";
	}
	
	public String returnStackName(BlitemStack b) {
		return "Wooden Log";
	}
	
	public String staticName() {
		return "Wooden Log";
	}
	
}
