package com.someluigi.tuc.server.registry;

import java.util.HashMap;
import java.util.LinkedList;


public class GameRegistry {
	
	public static HashMap<Integer, BlitemResponder> blitems = new HashMap<Integer, BlitemResponder>();
	public static LinkedList<Recipe> recipes = new LinkedList<Recipe>();
	
	public static int addRecipe(BlitemStack[] result, Object[] oa, int w, int h) {
		Recipe r = new Recipe(result, oa, w, h);
		recipes.add(r);
		return recipes.lastIndexOf(r); // return the Recipe's index, maybe there's a
		// reason for doing so.
	}
	
	
	public static void addItem(ItemResponder ir) throws TUCRegistryException {
		try {
			
			//int id=i.getField("blitemID").getInt(i);/
			
			blitems.put(ir.getClass().getField("blitemID").getInt(ir.getClass()), ir);
		} catch (SecurityException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (NoSuchFieldException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		}
	}
	
	public static void addItem(BlockResponder br) throws TUCRegistryException {
		try {
			
			//int id=i.getField("blitemID").getInt(i);/
			
			blitems.put(br.getClass().getField("blitemID").getInt(br.getClass()), br);
		} catch (SecurityException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		} catch (NoSuchFieldException e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		}
	}
	
	
	
	
	
}
