package com.someluigi.tuc.server;

import java.io.PrintStream;
import java.util.logging.Logger;

import com.someluigi.tuc.server.init.InitRegistry;

public class StartMain {

	public static PrintStream stdOut=System.out;
	public static Logger out;
	
	public static int build = 0;
	public static String version = "0.0.000";
	
	public static String[] args;
	public static boolean debugMode;
	
	/**
	 * @param args
	 */
	public static void main(String[] arguments) {
		
		StartMain.args = arguments;
		
		if (args.length>=2) {
			StartMain.debugMode = (args[2].equalsIgnoreCase("debug"));
		}
		
		stdOut.println("Starting TUC Server...");
		out = Logger.getLogger("TUC");
		
		out.info("Version " + version + " (build #" + build + ")");
		
		
		
		
		
		
		try {
			HttpServer.start();
			
			InitRegistry.initItems();
			InitRegistry.initBlocks();
			InitRegistry.initRecipes();
			
		} catch (Exception e) {
			out.severe("Exception in HttpServer...");
			e.printStackTrace();
		}
		
	}

}
