package com.someluigi.tuc.server.registry;

public abstract class BlitemResponder {

	public static final int blitemID = -1; 
	public static final BlitemType type = BlitemType.NULL; 
	
	
	public int getBlitemID() throws TUCRegistryException {
		try {
			return this.getClass().getField("blitemID").getInt(this.getClass());
		} catch (Exception e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		}
	}
	
	public BlitemType getBlitemType() throws TUCRegistryException {
		try {
			return (BlitemType) this.getClass().getField("type").get(this.getClass());
		} catch (Exception e) {
			e.printStackTrace();
			throw new TUCRegistryException();
		}
	}
	
	@Override
	public String toString() {
		try {
			return "["+this.staticName()+" (" + this.getClass().getSimpleName() + ") type=" + this.getBlitemType() + ", blitemID=" + this.getBlitemID() + "]";
		} catch (TUCRegistryException e) {
			e.printStackTrace();
			return "[Exception Encountered while toString @ ItemResponder]";
		}
	}
	
	public String staticName() {
		return "Unnamed-Static";
	}
	
}
